Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-105494

Receive SSLError when trying to add a jail.

    XMLWordPrintable

    Details

      Description

      Under "Jails" and after clicking "Add" and presented with the Wizard screen I get the following error:

      Error: Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 485, in wrap_socket
          cnx.do_handshake()
        File "/usr/local/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1915, in do_handshake
          self._raise_ssl_error(self._ssl, result)
        File "/usr/local/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1647, in _raise_ssl_error
          _raise_current_error()
        File "/usr/local/lib/python3.7/site-packages/OpenSSL/_util.py", line 54, in exception_from_error_queue
          raise exception_type(errors)
      OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 672, in urlopen
          chunked=chunked,
        File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 376, in _make_request
          self._validate_conn(conn)
        File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 994, in _validate_conn
          conn.connect()
        File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 394, in connect
          ssl_context=context,
        File "/usr/local/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
          return context.wrap_socket(sock, server_hostname=server_hostname)
        File "/usr/local/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 491, in wrap_socket
          raise ssl.SSLError("bad handshake: %r" % e)
      ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')])",)
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
          timeout=timeout
        File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 720, in urlopen
          method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
        File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 436, in increment
          raise MaxRetryError(_pool, url, error or ResponseError(cause))
      urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='download.freebsd.org', port=443): Max retries exceeded with url: /ftp/releases/amd64/ (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')])")))
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 130, in call_method
          io_thread=False)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1091, in _call
          return await run_method(methodobj, *args)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1015, in _run_in_conn_threadpool
          return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 658, in releases_choices
          choices = {str(k): str(k) for k in ListableReleases(remote=remote)}
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 658, in <dictcomp>
          choices = {str(k): str(k) for k in ListableReleases(remote=remote)}
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/release.py", line 53, in __iter__
          f'releases/{os.uname().machine}/', timeout=10
        File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 75, in get
          return request('get', url, params=params, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 60, in request
          return session.request(method=method, url=url, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
          resp = self.send(prep, **send_kwargs)
        File "/usr/local/lib/python3.7/site-packages/raven/breadcrumbs.py", line 341, in send
          resp = real_send(self, request, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
          r = adapter.send(request, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 514, in send
          raise SSLError(e, request=request)
      requests.exceptions.SSLError: HTTPSConnectionPool(host='download.freebsd.org', port=443): Max retries exceeded with url: /ftp/releases/amd64/ (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')])")))
      

      FreeNAS-11.3-U1

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  releng Triage Team
                  Reporter:
                  leeroy Lee Roy
                  Watchers:
                  Lee Roy, Waqar Ahmed, William Grzybowski
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: